Description

Wiki concurrent edition does not happen very often, but when it does, user can loose its work easily. Current feature is to prevent

saving when page has been touched in the meantime. What I propose is to merge changes the way diff3 works and if needed, leave

conflict markers in the document and warn the users that a conflicting merge has been done. This has the benefit of:

saving the user work when (s)he press the save button in any case ;

merge non conflicting cases automatically ;

allow an other user (more experienced) to manually handle conflicting regions later.

What do you think ?

History

#1 - 2009-03-10 17:41 - Greg Burri

Great feature ! +1

#2 - 2009-06-30 20:24 - Pierre Paysant-Le Roux

- File wiki_concurrent_edition.patch added

Hi,

here is a patch that does the job. It uses GNU diff3 (as Mediawiki).

#3 - 2009-06-30 22:34 - Paul Rivier

- Assignee set to Jean-Philippe Lang

Hi Jean-Philippe,

You may want to review this patch. Wiki concurrent edition will fail over nicely to current behaviour if diff3 is not available on site.

Files

wiki_concurrent_edition.patch 6.3 KB 2009-06-30 Pierre Paysant-Le Roux
